* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

#main-container {
  width: 100%;
  height: 100%;
}

header {
  width: 100%;
  height: 200px;
  background-color: gold;
}

header > #hero-header {
  width: 100%;
  height: 200px;

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

#hero-header > h1 {
  font-size: 3rem;
}

#hero-header > button {
  border: 1px solid black;
  background-color: transparent;
  width: 200px;
  height: 50px;

  font-size: 1.2em;

  margin-top: 20px;
}

#hero-header > button:hover {
  border: 2px solid white;
  background-color: antiquewhite;
  font-size: 1.8em;
}

.input-container {
  border: 1px solid black;
  width: 500px;
  display: none;

  margin: 20px auto;
}

.input-container .author-input-wrapper {
  width: 100%;

  background-color: tomato;

  display: flex;
  align-items: center;
  justify-content: center;
}

#author-input {
  width: 200px;
  height: 30px;
  margin: 10px;
  padding-left: 10px;
}

.contents-input-wrapper {
  width: 100%;

  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

  padding: 10px;
}
.contents-input-wrapper #title-input {
  width: 100%;
  height: 30px;
  margin-bottom: 10px;
  padding: 10px;
}

.contents-input-wrapper #memo-input {
  width: 100%;
  height: 200px;
  padding: 10px;
}

.btn-wrapper {
  width: 100%;
  padding: 10px;
  background-color: teal;

  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.btn-wrapper button {
  border: 1px solid white;
  background-color: honeydew;
}

.btn-wrapper button:first-child {
  width: 70%;
  height: 30px;
}

.btn-wrapper button:last-child {
  width: 30%;
  height: 30px;
  margin-left: 10px;
}

#memo-container {
  width: 100%;
  margin: 0 auto;

}

.cards {
  width: 90%;
  margin: 0 auto;
}

.memo-card-item {
  width: 300px;
  height: 250px;
  margin: 10px;
  border: 1px solid black;
  float: left;
  padding: 10px;
}

.memo-card-item h2 {
  background-color: aquamarine;
}

.memo-card-item h3 {
  font-size:12px;
  margin-top: 5px;
  text-align: right;
}

.memo-card-item p {
  margin-top: 10px;
}

footer {
  clear: both;
}